Name:           epel-rpm-macros
Version:        9
Release:    1%{?dist}
Summary:        Extra Packages for Enterprise Linux RPM macros

License:        GPLv2

URL:            https://download.fedoraproject.org/pub/epel
Source0:        macros.epel-rpm-macros
Source1:        macros.zzz-epel-override
Source2:        GPL
Source3:        macros.shell-completions


BuildArch:      noarch
Requires:       redhat-release >= %{version}
Requires:       fpc-srpm-macros
Requires:       (pyproject-rpm-macros if python3-rpm-macros)
Requires:       ansible-srpm-macros
Requires:       go-srpm-macros-epel
Requires:       rust-srpm-macros-epel
Requires:       (perl-generators-epel if perl-generators)
Requires:       rpmautospec-rpm-macros
Requires:       qt6-srpm-macros

%description
This package contains the Extra Packages for Enterprise Linux (EPEL) RPM
macros for building EPEL packages.

%prep
%setup -cT
install -pm 644 %{SOURCE2} .

%install
install -Dpm 644 %{SOURCE0} \
    %{buildroot}%{_rpmmacrodir}/macros.epel-rpm-macros

install -Dpm 644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/rpm/macros.zzz-epel-override

install -Dpm 644 %{SOURCE3} \
    %{buildroot}%{_rpmmacrodir}/macros.shell-completions

%files
%license GPL
%{_rpmmacrodir}/macros.epel-rpm-macros
%{_sysconfdir}/rpm/macros.zzz-epel-override
%{_rpmmacrodir}/macros.shell-completions


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9-1
- initial build
